### Enumeration

# FwupdPlugin FirmareSrecRecordKind

since: 1.0

#### Declaration

    enum FwupdPlugin.FirmareSrecRecordKind

#### Description [src]

The kind of SREC record kind.

Available since: 1.0

#### Members

`FU_FIRMWARE_SREC_RECORD_KIND_S0_HEADER`

  Header.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S1_DATA_16`

  16 bit data.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S2_DATA_24`

  24 bit data.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S3_DATA_32`

  32 bit data.

  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S4_RESERVED`

  Reserved value.

  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S5_COUNT_16`

  16 bit count.

  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S6_COUNT_24`

  24 bit count.

  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S7_COUNT_32`

  32 bit count.

  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S8_TERMINATION_24`

  24 bit termination.

  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_FIRMWARE_SREC_RECORD_KIND_S9_TERMINATION_16`

  16 bit termination.

  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0